package com.ssj.service.conch.parents.v2.dto;

import com.alibaba.fastjson.annotation.JSONField;

import java.io.Serializable;
import java.util.List;

/**
 * @author yrf
 * @date 2019/4/29 13:53
 */
public class WrongBookKnowledgeDTO2 implements Serializable {

    private static final long serialVersionUID = -2351152244857400763L;

    @JSONField(serialize = false)
    private String knowHowDetailIdStr;

    @JSONField(serialize = false)
    private String knowledgeVersionStr;

    private List<KnowHowDetailDTO> knowHowDetailList;
    private String knowledgeAlias;
    private Integer wrongQuestionSum;

    @JSONField(serialize = false)
    private String questionStatusStr;

    private Integer questionStatus;

    public String getKnowHowDetailIdStr() {
        return knowHowDetailIdStr;
    }

    public void setKnowHowDetailIdStr(String knowHowDetailIdStr) {
        this.knowHowDetailIdStr = knowHowDetailIdStr;
    }

    public List<KnowHowDetailDTO> getKnowHowDetailList() {
        return knowHowDetailList;
    }

    public String getKnowledgeVersionStr() {
        return knowledgeVersionStr;
    }

    public void setKnowledgeVersionStr(String knowledgeVersionStr) {
        this.knowledgeVersionStr = knowledgeVersionStr;
    }

    public void setKnowHowDetailIdList(List<KnowHowDetailDTO> knowHowDetailList) {
        this.knowHowDetailList = knowHowDetailList;
    }

    public String getKnowledgeAlias() {
        return knowledgeAlias;
    }

    public void setKnowledgeAlias(String knowledgeAlias) {
        this.knowledgeAlias = knowledgeAlias;
    }

    public Integer getWrongQuestionSum() {
        return wrongQuestionSum;
    }

    public void setWrongQuestionSum(Integer wrongQuestionSum) {
        this.wrongQuestionSum = wrongQuestionSum;
    }

    public String getQuestionStatusStr() {
        return questionStatusStr;
    }

    public void setQuestionStatusStr(String questionStatusStr) {
        this.questionStatusStr = questionStatusStr;
    }

    public Integer getQuestionStatus() {
        return questionStatus;
    }

    public void setQuestionStatus(Integer questionStatus) {
        this.questionStatus = questionStatus;
    }
}
